Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Totál hétköznapi témák, ötletek, tutira nem linux és nem PC

Moderátor: S-kami

Avatar
csipesz
Hozzászólások: 665
Csatlakozott: 2014.06.24. 11:02
Tartózkodási hely: Isaszeg

Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: csipesz »

A New Moon böngésző egy Pale Moon-származék, melyet arra fejlesztettek, hogy még napjainkban is lehessen valamin kielégítően net-böngészni egy mindössze SSE utasításkészletes procós, pl. pentium3-as gépen. Épp "járt nálam" egy P3-as Dell Latitude laptop - jó vaskos, 2000 körüli gyártmány, rajta XP-vel és elkeserítően kevés, 256 Mb rammal - kipróbáltam rajta, klassz - bár azért ne egy ilyenen akarjunk Youtube-ozni, mert türelemjáték, míg feláll rajta egy videó.
A New Moon 27.9.4.1 sajnos valahogy úgy sikerült elkészüljön, hogy nem engedélyezett benne alapjáraton az ffmpeg kodekek használata, amely a html5 videók megfelelő lejátszásához szükséges, ezért mikor a New Moon böngészőt elkezdjük használni, a következő a teendőnk:
Pötyögjük be a böngésző címsorába ezt: "about:config", fogadjuk el a kockázatot a párbeszéd-ablakban, majd a rengeteg minden közt görgessünk a media kezdetű sorokig; itt valamelyik soron nyomjuk a jobb egérgombot, a felbukkanó menüben válasszuk az "új" - "logikai" opciót, és a felbukkanó "új logikai érték" ablakban írjuk be ezt:
media.ffmpeg.enabled
végül állítsuk be ezt "true"-ra, vagyis "igaz"-ra.
kész vagyunk - a régi, SSE2 nélküli cájgunknak most már, ha csiga-lassan is, de le kéne tudnia játszani pl. a Youtube videóit - legalábbis még jelenleg, 2020 táján...(nincsenek illúzióim - valamerre valakik egész' biztosan gondoskodni fognak arról, hogy pl. 5 év múlva már ne így legyen :( )
Egy a témával foglalkozó angol nyelvű weblap itt található:
http://matejhorvat.si/en/unfiled/pmxp/index.htm
Az általam feltöltött, zip-be csomagolt böngészőbe én már betettem azt a 3 drb dll fájlt, amit a cikk-író külön letölteni linkelt a weblapján - nem tudom, ő miért nem tett ugyanígy... - bonyolultabban csinálni vmit biztos' érdekesebb. Namindegy - ez ugyanez a böngésző - egy saját feltöltésem, már bele helyezett ffmpeg lib-ekkel:
https://drive.google.com/file/d/1qK4rQn ... sp=sharing

NTamas
Hozzászólások: 1849
Csatlakozott: 2014.06.19. 13:36

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: NTamas »

Bocsi, de volt valami konkrét oka annak, hogy azon a koros Dell gépen miért nem inkább egy puppy linux-palemoon-sse- combóval próbálkozz?(annyi memóriával talán jobb lett volna)
Van csak SSE-t tudó P3-as procikghoz is PalemoonSSE webböngésző....

Sajnos a legtöbb csak SSE-hez való Palemoon Linuxos webböngésző link már halott, lásd a legközismertebbet:
The SSE-only build for Pentium3-class machines is available at URL ftp://contrib:get@ftp.palemoon.org/SSE-Linux/

Viszont hála orosz barátaink spájzolási kényszerének, néhol még azért lehet találni működő, tölthető linket is.(skami webböngésző repójában is van egy ilyen zip fájl)
Egy ilyen a zip csomagot letöltve, kibontva, belenézve, majd újra összecsomagolva és a Yandex-ra feltéve adott a lehetőség:
Palemoon_27.9.4_SSE_Linux.zip csomag mérete:42MB
Palemoon_27.9.4_SSE_Linux kibontott könyvtár mérete: 96MB
Downloads Palemoon_27.9.4_SSE_Linux.zip:(angol verzió!)
https://yadi.sk/d/uIJUFmmjroVUDQ

a hozzá szükséges magyar nyelvi .xpi fájl linkje.
https://yadi.sk/d/_F-y7Yape0xCEQ

egy hozzávaló magyar nyelvi szótárfile letöltési linkje.
hungarian_dictionary-1.6.1.1.1-typefix-fn+sm+tb+fx.xpi
https://yadi.sk/d/PyoaxLV7ECF8Xg

egy jól használható böngésző kiegészítő hozzá:(a skami fórumban már volt róla szó, mire való)
textarea_cache-0.9.3.4-fx.xpi
https://yadi.sk/d/UftC2bnY1p2WlA

A Palemoon webböngésző magyarosítása.
1. Feltelepítjük az angol nyelvű verziót.
2. A fájl megnyitása menüpontban betöltjük és telepítjük a böngészőhöz való hu.xpi fájlt.
3. A böngésző címsorába írjuk be: about:config
Evvel nyitjuk meg a böngésző speciális beállításait tartalmazó oldalt.
A böngésző ad egy figyelmeztetést.
Kattintsunk az “Óvatos leszek, megígérem!” feliratú gombra.
4. A szűrőhöz írjuk be: general.useragent.locale hogy megtaláljuk a beállítást.
Ennek az értékét -alapértelmezésben angol- állítsuk át hu-HU-ra.( egy duplakattintás az értéken, és az angol bejegyzést átírjuk hu-HU-ra.
5. Indítsuk újra a webböngészőt.

Amennyiben szükséges, a Linux alatt futó Palemoon SSE böngészőhöz, illetve a használt linuxhoz is telepíthető az ffmpeg csomag, akár statikus verzióként is.

Avatar
csipesz
Hozzászólások: 665
Csatlakozott: 2014.06.24. 11:02
Tartózkodási hely: Isaszeg

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: csipesz »

Szia, NTamas, a kérdéses palemoon sse változat az én tárolómon is megvan, DE: vicces, hogy a számomra legfontosabbról, az ffmpeg összehozásáról a palemoon-al - erről írtál legkevesebbet, tehát ha neked sikerült már ez - HOGY KELL??? - (részletesen :) ) Milyen ffmpeg verzió, honnan szedem le, miket hova írok, működne-e egy "reloaded" XP puppy lucid 528 -ason is, ugyanis ott pont ezzel vesződtem, de nekem nem akart lejátszani semmit... erre mérgemben bevágtam a wine cuccosok közé egy K-meleon Goannát, mindjárt volt netes videólejátszás a Lucidon! :)
- szóval segíts, hogy' kell? - ha sikerül, egy ilyen pélmúnnal fogom publikálni a 2020-as újratöltött Lucidom...

NTamas
Hozzászólások: 1849
Csatlakozott: 2014.06.19. 13:36

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: NTamas »

A Lucid verziót felejtsd el!
A csomagkezelője felejtős, hiszen hiába is mahinálod, és veszed fel a tárolókba, -ha összejön egyáltalán- abban már csak régi verziós ffmpeg fájlok és függőségeik vannak, el kell felejteni.
A még használható puppy a precise571, és mivel egy kis teljesítményű laptopról beszélünk, abból is a Precise-Light verziót érdemes megnézni.(precise-light-5.7.1_plus0.iso)
Mivel ez eleve angol nyelvű, érdemes a langpack_hu_120328.pet csomag segítségével magyarosítani. Nos ebben az összeálításban eleve van telepítve ffmpeg csomag,
Kép
mégpedig a 0.8.17-es csomagverzió, és az ezekhez szükséges libav fájlok.(libavcodeck, libavfilter stb.) Én erre a régi ffmpeg csomagra rátelepítettem a csomagkezelőből is (meg külön fileként is elérhető) letölthető ffmpeg-1.2.1-i486-precise.pet fájlt, és ezután a terminálban így néz ki az ffmpeg -version.
Kép

Namost, az előbb már írtam háromféleképp lehet ffmpeg-et telepíteni:
1. vagy a kérdéses pupy csomagkezelőjéből szedsz le ffmpeg csomagot és a hozzá kellő libav fájlokat, egyenként a rendszerre feltelepítve,
2. vagy úgy, ahogy nocsak is teszi ezt, leszed minden szükséges fájlt, és függőséget, és maga fordítja az ffmpeg-et a rendszerbe, ekkor kap egy, a rendszerhez fordított ffmpeg csomagfájlt.
3. vagy letöltesz az ffmpeg weboldaláról előre elkészített csomagokat, ezen belül innen letölthetők az ún. statikus ffmpeg csomagok is Linuxra.
(kinek melyik módszer a szimpatikusabb, azt választja, én az első módszert jobban kedvelem)

Tehát van egy rendszerünk, ami kellően kis méretű, és nincs agyontelepítve klf. felhasználói csomagokkal, még webböngésző sincs benne! De van benne már ffmpeg csomag, meg mplayer motor is.
Az ffmpeg-et a megadott pet fájl segítségével frissítjük, és nekiállunk keresni egy, a proci tudásához illő, csak SSE-t támogató webböngészőt. Ez lehet az előbb belinkelt zip csomag, de van más is, mindjárt linkelem.
A kérdéses puppy-light alatt nálam a nemcsak SSE-t tudó, hanem az SSE2-t is ismerő Palemoon-27.9.4 magyarított verziója fut, és ez simán hozza-játssza a youtube videókat, kisgépről lévén szó, 360p az érdemes felbontás, ezt gond nélkül hozza a böngésző.
Kép
Kép

A Palemoon beállításában ezt a beállítást célszerű használni.
Kép
Az asszinkron MSE használatot ki kell venni, és akkor lesz vebM lejátszásod is.

Ugyanerre a puppy verzióra feltettem a csak SSE-t tudó Palemoon verziót is, ami alapból szintén angol nyelvű.
Kép

A magyarításhoz a már fentebb leírtak szerint járunk el.
Kép
Kép

A magyarított Palemonn-SSE verzió is simán játssza a youtube videókat.
Kép
Kép

Az így lemagyarított -Palemoon-SSE verzióból gyártottam egy pet csomagot.
Ebben az /opt-ban van az angol nyelvű Palemoon könyvtár, és a pet csomagba betettem a /root-ban lévő root/.moonchild productions könyvtárat is, ebben van ugye a palemoon profilkönyvtára is, benne a telepített magyarosítás, a magyar szótár és a textarea_cache-0.9.3.4-fx.xpi fájl is. A beállított webböngészőben van három youtube videó linkje, a videólejátszás próbához. A kérdéses kibővített Palemoon_27.9.4_SSE_Linux.pet csomag már tölthető a yandex tárolómról.

Ezt a Palemoon-SSE verziót feltelepítettem nocsak 32bites puppy verziójára is, -NosPup32-1.1- és ott is rendben működik. Ezt a bejegyzést is ebből a böngészőből írtam.
Kép

Megy itt a Médiaklikkes M4Sport is, de érdekes módon itt már -a youtube-val ellentétben- a 360p felbontású stream megy ugyan, de nem folyamatos annak lejátszása, kissé szaggatottan játssza le, kissé olyan hatása van ennek, mintha régi idők moziját néznéd.
Kép
Tehát megy a 360p-s felbontás is, tartja is a 360p-t, nem vált vissza alacsonyabb az felbontású (240p) streamre, de a lejátszása darabos, nem olyan folyamatos, mint a 360p youtube videók.
Hogy ez most webböngésző hiba lenne, vagy a Médiaklikk M4 Sport stream lenne a ludas, nem tudom, én az utóbbira tippelek inkább.

Ennyi tudok segíteni, sok sikert a Palemoon_27.9.4_SSE_Linux.pet csomaghoz.

Utóirat.
Fent említve lett a statikus ffmeg csomag Linuxra, ebből vannak mai verziók és az ún. old verziók.
Ebből kiválasztva egy 2018-as verziót, - ffmpeg-4.0.3-32bit-static.tar.xz 2018-11-07 01:00 17M -
(a 17MB-s tar.xz csomag kibontva már 122MB-nyi mérettel bír!!!)
Kép

A statikus csomagon belüli egy ffmpeg binárisok mérete meg így alakul.
Kép
Kép

Ebből azért az is jól látszik, hogy statikus ffmpeg csomagot kis memóriával megáldott, vagy megvert gépekre azért ne alkalmazzuk, ha jót akarunk magunknak.
(az említett nocsak féle 32 bites puppyban ez az ffmpeg verzió van nálam, ez a nocsak tárolóból letölthető ffmpeg telepítő, ez nem statikus csomag, és a szükséges libek(libav fájlok) is a csomag részei)
Kép
A hozzászólást 3 alkalommal szerkesztették, utoljára NTamas 2020.07.12. 12:57-kor.

ticoo1
Hozzászólások: 618
Csatlakozott: 2014.10.21. 08:58

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: ticoo1 »

Kedves NTamas!

Nagyon szépen köszönöm. :D

janugsa
Adminisztrátor
Hozzászólások: 600
Csatlakozott: 2014.06.28. 00:17

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: janugsa »

A Palemoon sse xz tömörítésű, az XP puppy lucid 528 nem tudja telepíteni. Vagy újratömöríteni, esetleg xzpet_installpkg-20160911-precise.pet fájlt telepíteni elötte a lucidra.
Kipróbáltam azon a puppyn, igaz 2magos gépen, az eredeti firefox 28 már nem jó a youtube-ra, ez a palemoon sse viszont jó .

NTamas
Hozzászólások: 1849
Csatlakozott: 2014.06.19. 13:36

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: NTamas »

Köszönöm neked janugsa a visszajelzést, a kérdéses xz-s pet csomag meg valahol nekem is megvan, keresem, mindjárt, na, meg is van, tessék: xzpet_installpkg-20160911-precise.pet

NTamas
Hozzászólások: 1849
Csatlakozott: 2014.06.19. 13:36

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: NTamas »

Nos, ha már csipesz és janugsa is megemlítette az XP puppy lucid 528 puppy verziót, mint lehetséges célpuppy-t, vettem egy mély levegőt és nekifogtam.
Először is letöltöttem a kérdéses iso fájlt, (mivel ez speciel nekem nem volt meg) innen:
https://yadi.sk/d/WmJMuf_bF6fze
Kép

Ezután a már meglévő puppy verziók menu.lst indító fájljába befűztem az XP-Puppy528_hu nevű könyvtárba másolt puppy verzió fájl elérését az indításhoz.(nálam a sok szám a puppykat tartalmazó partíció uuid száma, ezt a grub hozta létre annó ilyen formátumra, azóta csak bővítettem a listát a telepítendő puppyk könyvtárnevével)
Kép
title XP-Puppy528_hu (sda4/XP-Puppy528_hu)
find --set-root uuid () bd7e869d-63a3-4d12-a53c-28845b9fb4a8
kernel /XP-Puppy528_hu/vmlinuz pdrv=bd7e869d-63a3-4d12-a53c-28845b9fb4a8 psubdir=/XP-Puppy528_hu pmedia=atahd pfix=fsck
initrd /XP-Puppy528_hu/initrd.gz

A gépet újraindítva kiválasztottam a menüből az XP-Puppy528_hu-t, és elindult annak betöltése.
Mivel kis gépem van, és a videókártyám is igencsak alapszintű, ezért azt vártam, hogy el sem fog indulni a lucid puppy, ezzel szemben meglepetésre simán betöltötte a desktopot. (+1 pont!)
Kép

Kis zakatolás után feldobott egy ablakot, hogy talált egy hálókártyát, (nem én indítottam el a hálózat beállítást!) és ő azt most szeretné használatba venni, -megtalálta az alaplapi integrált gigabites hálókártyámat!- ok, semmi akadálya, csináld.
Kép
Az eth1-re ütve azonnal lett működő hálózat is, le is frissítettem az időt.
A hang is azonnal működött, nem kis meglepetésre.
Eddig jó, akkor tegyük fel a kérdéses xzpet_installpkg-20160911-precise.pet csomagot, hogy az xz tömörítésű Palemoon_27.9.4_SSE_Linux.pet csomagot fel tudjuk tenni a lucid puppyra.
Kép
Noha a kérdéses pet csomag rendben feltelepült, de ez még nem oldotta meg a PalemoonSSE telepíthetőséget, azt sajnos másféleképp kellett megoldanom. Feltettem egy Rox-Filer kibővítést, ebben van egy UExract csomag is, ezzel kibontottam az xz tömörítésű Palamoont, majd a kibontott könyvtárból legyártottam egy újabb, de már nem xz tömorítésű pet csomagot, a nevébe betettem egy HU kiegészítést is, hogy megkülönböztethető legyen a tegnapi, belinkelt csomagtól.
Az így legyártott PalemooSSE pet már simán feltelepült a rendszerre,
Kép
és mivel a csomag már alapvetően tartalmazta a magyarítást is - meg annak a profilkönyvtárát is!- már magyarul, beállítva indult el!(lásd a lentebbi képeken)
Ez is ok, de menjünk tovább, nézzük meg, mi van a régi iso-ban, pl. milyen ffmpeg van benne, hát igen régi darabot tartalmazott.(2013-as puppytól nem is vártam mást)
Viszont aki az iso-t készítette, az valamit nagyon elrontott, mivel az ffmg -version terminálba beírására egy halom hibaüzi jött elő!!!
Kép
Kép
Itt valami nagyon nem stimmel, menjünk csak be a csomagkezelőbe, és nézzünk ennek utána.
Na, ekkor kezdtem szívni a fogam, és tépni az egyre kevesebb hajam szálait, mivel a kérdéses lucid puppy csomagkezelője használhatatlan! Hiába frissítettem azonnal, semmi eredmény, én pedig nem voltam hajlandó belemenni egy csomagkezelő buherálásba, ahhoz most nem volt se kedvem, se időm.
Szerencsére azért a csomagkezelőben a frissítés után volt két ffmpeg fájl,
Kép
Ezeknek a fájloknak az egyenkénti újra feltelepítése a rendszerre úgy tűnik, helyretette és megoldotta a dolgot, a terminálban is azonnal helyreállt a rend.
Kép
Kép
Kép
Ez is rendben van már, indítsuk el a telepített Palemoon SSE-t, és nézzük meg, játszik e youtube videót -mert hisz ez volt az egész cirkusz értelme- röviden, igen, semmi gond nincs a netes yuotube videók lejátszásával. A telepített Palemoon SSE-be, a könyvjelzőkbe én tegnap belefűztem három youtube linket, azokból az egyikkel tettem próbát, és simán gond nélkül megy a youtube lejátszás.
Kép
Kép
Természetesen nálam volt hangja is a videóknak.(a Retrovol megfelelő beállítása után)

A főzéshez, akarom mondani a PalemoonSSE próbához ezeket az összetevőket használtam fel.
Kép

A már fent említett XP-Puppy528_hu.iso-ban van mplayer is telepítve, meg egy Puprádió is, de ez utóbbi nem akart megszólalni. Még egy probléma, de szerencsémre a fiókban volt eltéve egy Mplayer-1.0rc4-Lucid51x.pet csomagom, azt újra feltelepítettem a rendszerre, és a gond megoldódott.
Ment az időközben linkekkel feltöltött Pupradió-ban a rádiós linkek lejátszása, illetve a videóké is, bár ez utóbbi elsőre nem működött. (mint hamar kiderült, sima mplayer beállítási gond miatt)
Az újratelepített Mplayer-1.0rc4-Lucid51x.pet csomag a /root/.mplayer könyvtárban lecserélte az abban lévő config filét, és egy alap, üres config fájlt tett fel, na ezt kellet újraconfigolni, így:
Kép
Mivel nekem kisteljesítményű a gépben lévő videókártya, ezért az általános xv videó driver helyett nekem az x11 driver adott képet az mplayer alatt.
Kép
Kép
Kép

Mivel ebben az iso-ban van telepítve egy Wine is, ezért feltettem még a Windowsos RadioSure programot is, ez is rendben működik, zenél.
Kép

Hát ennyit erről, és akkor a lényeg, az újratömörített, most már a XP-Puppy528_hu Lucid puppyból is telepíthető pet csomag letöltő linkje: Palemoon_27.9.4_SSE_HU_Linux.pet

Fenyő
Hozzászólások: 1
Csatlakozott: 2021.10.29. 22:42

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: Fenyő »

Sziasztok,

Mivel a 27-es SSE Palemoon kezd elavulttá válni, így gondoltam forgatok pár kurrensebbet CentOS 6 alatt (tehát glibc 2.12 a min követelménye);

- 29.1.0 a legutolsó legacy Firefox kiegészítő kompatibilis

- 29.4.1 a legfrissebb

Precise Light és DebianDog Wheezy alatt próbáltam (utóbbi fürgébbnek tűnt, ez mondjuk egy P3-ason érdekes, egy "combosabb" Athlon Xp konfig egy aktuális Debianon is elfut Xfce-vel), ennél persze újabbakon is fut, de ezek alap esetben a minimum követelményei, Luciddal nem tudom össze lehet-e hozni, ezt rátok bízom...
A magyar nyelvi fájlok gond nélkül működnek vele, az online stream alap esetben Wheezytől fölfele, Precisenél az about:config-ban engedélyezni kell a media.libavcodec.allow-obsolete opciót és a böngésző újraindítása után már működik is.

UPDATE:
- itt megtalálhatók további frissebb/régebbi/egyéb buildek (úgy mint SSE1 nélküli ia32 utótaggal, normál sse2 vagy Basilisk sse rebuild Serpent sse néven), UPDATE2: visszakaptam az eredeti useremet (köszönet a modiknak), szóval a fenti linken, már SeaMonkey SSE és ia32 2.53.15b1 és Firefox SSE ESR 91.13 buildek is megtalálhatóak ( itt vannak könnyebben elérhető formátumban is ), nem tudom nyissak-e témának új topikot (és ha igen hova, ide az offba vagy vmelyik internetes téma alá) vagy elfér ez itt is...
Csatolmányok
debiandogwheezy.jpg
debiandogwheezy.jpg (254.53 KiB) Megtekintve 2688 alkalommal
A hozzászólást 2 alkalommal szerkesztették, utoljára Fenyő 2023.01.19. 20:46-kor.

F3nyő
Hozzászólások: 1
Csatlakozott: 2022.12.27. 09:31

Re: Pár szó a New Moon böngészőről(sajnos csak windows-ra)

Hozzászólás Szerző: F3nyő »

Sziasztok,

Az előző (Fenyő) vagyok, csak elfeledtem a jelszavam és a jelszóemlékeztetőt/resetelőt sem kapok a mailemre (ha erre járna egy modi), így a fenti hozzászólásom már nem tudom update-lni, ui. megint készítettem pár frissebb buildet, amik bár az előző hozzászólás linkjéből is elérhetőek, de némi széljegyzetet azért biggyesztenék melléjük.
Szóval a CentOS 6 mint build alap, csak a 29.x verziókig jó, 31.x-esekhez már újabbakat kellett választanom, az aktuális választék széljegyezve tehát;

- NewMoon IA32 29.1.0 , SSE nélküli build CentOS 6 alatt forgatva, tehát glibc 2.12 a min követelménye, gyak bármilyen 2012, vagy annál újabb kiadású 32bites disztrón fut (tehát pl 12.04-es (Precise) alapú Ubuntu vagy 7-es (Wheezy) alapú Debian és ezeknél újabb alapú disztrókon fut), min cmov utasírás kell neki, tehát Pentium Pro, Pentium II és Mendocino Celeron, valamint klasszikus Athlon (Argontól a Thunderbirdig), Duron (Spitfire).

- NewMoon SSE 29.4.6, , SSE1-es build CentOS 6 alatt forgatva, rendszerkövetelmények (lásd mint fentebb), proci szinten, pedig min sse utasítás szükséges, tehát a Pentium III, mobil és Celeron derivátumai (Katmai, Coppermine, Tualatin), bármilyen Athlon Xp és K7 alapú Sempron, valamint bármilyen Morgan vagy újabb magos Duron.

- NewMoon 29.4.6, normál (érintetlen default SSE2) build CentOS 6 alatt forgatva, rendszerkövetelmények (lásd mint fentebb), proci szinten, pedig min SSE2 szükséges, de az SSE3-as 32bit only procikat is ide sorolnám, mivel azokon is csak 32 bites böngésző fog futni amin szűkül a kínálat: Pentium 4, mobil és Celeron derivátumai (Willamete, Northwood, Prescott), Pentium M és Celeron M (Banias, Dothan), Core2 és Pentium dual core T2xx0 széria (Yonah).

- NewMoon SSE 31.4.2 SSE1-es build Ubuntu 14.04 alatt forgatva gcc-7/g++-7-el, tehát ha Ubuntu 14.04, 16.04 alapú disztrón szeretnénk használni (ezen 2 régebbi LTS kiadás még kap biztonsági frissítéseket esm-en keresztül, otthoni felhasználásra 5db gépig teljesen ingyenes), akkor szükség lesz ezek telepítésére az Ubuntu Toolchain ppa-ból (Puppy esetében jó eséllyel benne lehet a Thar vagy XenialPup tárolókban, de ha erre jár egy nálam nagyobb kölyökkutya szakértő, majd megszakérti) vagy glibc tweaket is lehet alkalmazni, 18.04-hez nem kell, mert már alapból ez a deafult fordítója.

- NewMoon SSE 31.4.2, SSE1-es build Debian 9 alatt forgatva gcc-7/g++-7-el, tehát ha Debian 9 alapú disztrón szeretnénk használni (ami még ELTS-el kapja a biztonsági frissítéseket), akkor szükség lesz gcc-7 forgatásra forrásból, pl az /opt/gcc-7 alá (én ezt választottam a build configon) vagy telepíthető az MX-17 test repójából (vagy gondolom itt is jó eséllyel elérhető a dpup-stertch tárolóból is) vagy itt is alkalmazható a glibc tweak. A Debian 10 és 11 már alapból újabb fordítókkal rendelkeznek, így ilyen alapú disztróknál nincs ezzel tennivalónk.

- NewMoon 31.4.2, normál (érintetlen default SSE2) build CentOS 7 alatt forgatva, tehát glibc 2.17 a min követelménye, gyak bármilyen 2014, vagy annál újabb kiadású 32bites disztrón fut (tehát pl 14.04-es (Trusty) alapú Ubuntu vagy 8-es (Jessie) alapú Debian és ezeknél újabb alapú disztrókon fut.

Ide biggyesztem még a legutolsó ublock-origin-legacy linkjét, mivel a forrás git tároló csak karikázik, de nem tölti be, ill. egy életképet friss Newmoon SSE-vel;

paelmoonsse3142.png
paelmoonsse3142.png (454.43 KiB) Megtekintve 1208 alkalommal

UPDATE: Közben visszakaptam az eredeti useremet (köszönet a modiknak), szóval a fenti eredeti (Fenyő) Updates linken ( ( ill. itt vannak könnyebben elérhető formátumban is )), már SeaMonkey SSE és ia32 2.53.15b1 és Firefox SSE ESR 91.13 buildek is megtalálhatóak, nem tudom nyissak-e témának új topikot (és ha igen hova, ide az offba vagy vmelyik internetes téma alá) vagy elfér ez itt is...

Válasz küldése

Vissza: “Off Topic”